Links
Edit
POST
/
packages
/
{packageId}
/
link
/
edit
Edit
curl --request POST \
--url https://sandbox.syngrafii.com/api/v1/packages/{packageId}/link/edit \
--header 'api_key: <api-key>'import requests
url = "https://sandbox.syngrafii.com/api/v1/packages/{packageId}/link/edit"
headers = {"api_key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {api_key: '<api-key>'}};
fetch('https://sandbox.syngrafii.com/api/v1/packages/{packageId}/link/edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"packageId": "<string>",
"name": "<string>",
"link": "<string>",
"type": "<string>",
"token": "<string>",
"timeExpires": "<string>"
}Generate a secure link to allow editing of a package without requiring authentication.
You will have to refresh the package edit link before it expires. The link is short lived for security reasons.
Request
Request
POST /packages/{packageId}/link/edit
Parameters
string
required
The unique identifier of the package you want to generate an edit link for.
Response
string
Unique identifier of the package the link was generated for.
string
Display name for of the package the link was generated for.
string
URL that grants access to the package.
string
default:"package_edit"
Type of link returned.
string
Token generated to provide access to the package.
string
Timestamp when the link expires (ISO 8601 format).
Examples
Response (200)
{
"name": "Signing",
"link": "https://sign.syngrafii.com/link/6iC4sCyjRaMTm2FcMjwIVA",
"type": "package_edit",
"token": "6iC4sCyjRaMTm2FcMjwIVA",
"timeExpires": "2021-08-10T15:40:51.7746401Z",
"packageId": "581aa1e0-49ea-4e49-841a-a74050e7d776"
}
⌘I
Edit
